Page MenuHomePhabricator

Create cloud mailman list and archive labs-l list
Closed, ResolvedPublic

Description

Create a new cloud mailman list, copy subscribers and configuration from labs-l to cloud, and then archive labs-l.

We would also like email sent to labs-l@lists.wikimedia.org to deliver to cloud@lists.wikimedia.org if that is possible. It will take some time for people to recognize the list address change especially if they are replying to messages delivered to them by the old list.

NOTE: T167155: Create cloud-admin and archive labs-admin mailing list should be completed first to ensure that the process works smoothly.

Details

Related Gerrit Patches:
operations/puppet : productionlabs-l to cloud alias

Event Timeline

bd808 created this task.Sep 6 2017, 5:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2017, 5:51 PM
bd808 updated the task description. (Show Details)Sep 19 2017, 8:11 PM
bd808 triaged this task as High priority.Sep 21 2017, 8:13 PM

We would like to get this done by the end of the current Foundation quarter.

bd808 assigned this task to RobH.Sep 27 2017, 7:56 PM

Planning on doing this during the PDT morning on 2017-09-27.

Change 381268 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] labs-l to cloud alias

https://gerrit.wikimedia.org/r/381268

Change 381268 merged by RobH:
[operations/puppet@production] labs-l to cloud alias

https://gerrit.wikimedia.org/r/381268

RobH added a comment.Sep 28 2017, 5:55 PM
  • create new list
  • export listing of old lists members, mass subscribe to new list with welcome message outlined with @bd808
  • disable of the old mailing list via disable_list, leaving the archives intact!
  • alias added and merged live on lists server
  • added the old mailing list address to acceptable aliases, listed in new lists web admin panel under Privacy, Recipeint Filters, acceptable aliases
    • not doing the above means every email sent to the old address automatically hits moderation, this is non-optimal, so added for it to automatically accept those emails.

Thanks. If I'm not mistaken, the individual preferences for the list were not migrated (I had delivery disabled on labs-l, but enabled on the new list). I expect this may be especially impactful for users who had selected the digest option, but I don't know what's the expectation here.

Thanks. If I'm not mistaken, the individual preferences for the list were not migrated (I had delivery disabled on labs-l, but enabled on the new list). I expect this may be especially impactful for users who had selected the digest option, but I don't know what's the expectation here.

Thanks for the report @Nemo_bis. @RobH has run another script that copied the list settings beyond membership. Take a look and see if things seem correct now.

I see 54 digested members and several with delivery disabled at https://lists.wikimedia.org/mailman/roster/cloud , so I think it worked. I had already changed my preferences manually so I'm not indicative.

bd808 closed this task as Resolved.Sep 28 2017, 8:47 PM